# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PointSize Class Reference

RenderState wrapping the OpenGL function glPointSize(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPointSize.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PointSize:

List of all members.

## Public Member Functions

| PointSize (float pointsize=1.0f)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (float pointsize)
float | pointSize () const
virtual ref< RenderState > | clone () const

## Protected Attributes

float | mPointSize

## Detailed Description

RenderState wrapping the OpenGL function glPointSize(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPointSize.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_POINT_SMOOTH, vl::EN_POINT_SPRITE

Definition at line 1116 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::PointSize::PointSize | ( | float | pointsize = `1.0f` ) | `[inline]`

Definition at line 1121 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::PointSize::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 1126 of file Shader.hpp.

References vl::RS_PointSize.

void PointSize::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 581 of file Shader.cpp.

References mPointSize, and VL_CHECK_OGL.

void vl::PointSize::set | ( | float | pointsize ) | `[inline]`

Definition at line 1130 of file Shader.hpp.

float vl::PointSize::pointSize | ( | ) | const`[inline]`

Definition at line 1132 of file Shader.hpp.

virtual ref<RenderState> vl::PointSize::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 1134 of file Shader.hpp.

## Member Data Documentation

float vl::PointSize::mPointSize`[protected]`

Definition at line 1142 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.